<?php

//
$_SESSION['title']="Персонаж $user[login]";
heads($headers_page, $set_ob_start);   //подключение шапки
//
if($user)include_once SYS."/navmenu.php";
$img=M."/img/tov/000.png"; // 
$sl=array();
$titles=array();
$types=array('0'=>'scan','1'=>'radio','2'=>'loruz','3'=>'shmot','4'=>'granat','5'=>'oruz','6'=>'arts','7'=>'arts','8'=>'arts','9'=>'arts','10'=>'arts');
$slots=mysql_query("SELECT * FROM `rukzak` WHERE `uid`='$user[id]' AND `slot`!=''");
for($i=0;$i<=10;$i++){$sl[$i]=$img;$titles[$i]='';}
if(mysql_num_rows($slots))
{
  while($data=mysql_fetch_assoc($slots))
    {
    if(isset($sl[$data['slot']]))
      {
      $sl[$data['slot']]=M."/img/tov/".$data['ico'];
      $titles[$data['slot']]=" сост.[$data[dolgov]/$data[maxdolg]]";
      }  
    }
}
//
$errors='';
if(isset($_GET['all'])) // Снять все
{
mysql_query("UPDATE `rukzak` SET `slot`='' WHERE `uid`='$user[id]'");
$num = mysql_affected_rows();
mset_msg("Снято $num вещей! ");
header("Location: ?l=pers");exit;
}
if(isset($_GET['rid']))   //array_search
{
$rid=abs(intval($_GET['rid']));
$chk=mysql_fetch_assoc(mysql_query("SELECT * FROM `rukzak` WHERE `id`='$rid' AND `uid`='$user[id]' AND `slot`='' LIMIT 1"));
if (!$chk){$errors.="Вещь не найдена";}
$key=array_search($chk['type'],$types); // проверка, разрешено ли одевать и в какой слот
if($types[$key]!=$chk['type']){$error.="Эту вещь одеть нельзя";}
// Проверка слотов артефактов
if ($chk['type']=='arts')
{
#echo "Процедура проверки артов<br />";
$key='6';
$arts_arr=array('arts6'=>'6','arts7'=>'7','arts8'=>'8','arts9'=>'9','arts10'=>'10');
// Смотрим занятые слоты
$chk_arts=mysql_query("SELECT * FROM `rukzak` WHERE `uid`='$user[id]' AND `slot`>='6' ORDER BY `slot` DESC");

  if (mysql_num_rows($chk_arts))
  {
#echo "Занятые слоты найдены<br />";
     while($datasl=mysql_fetch_array($chk_arts))
      {  
        if(isset($arts_arr['arts'.$datasl['slot']])){ unset($arts_arr['arts'.$datasl['slot']]);}  #echo $arts_arr['arts'.$datasl['slot']]."<br />";
      }
  }#else{echo "Занятые слоты НЕ найдены<br />"; }

  foreach($arts_arr as $k=>$v)
  {
#echo $k." - ".$v."<br />";
  $key=intval($v); break;  
  }
#if($key=='' or $key==0)$key=6;
}
//
  if ($errors=='')
  {
  mysql_query("UPDATE `rukzak` SET `slot`='' WHERE `uid`='$user[id]' AND `slot`='$key' LIMIT 1");
  #$_GET['sl']=$key;
  mysql_query("UPDATE `rukzak` SET `slot`='$key' WHERE `uid`='$user[id]' AND `id`='$rid' LIMIT 1");
  if( mysql_affected_rows()>0){$sl[$key]=M."/img/tov/$chk[ico]"; mset_msg("$chk[name] одето! ");}else{mset_err("$chk[name] нельзя одеть! ");} 
  }else{mset_err($errors);}
header("Location: ?l=pers");exit;
}
#echo "<div class='errh'>$errors</div>";// отладка 
//
if(isset($_GET['sl']))
{
// Снимаем вещь 
$upsl=abs(intval($_GET['sl']));
if($upsl<0 or $upsl>10){$errors.="Слот указан неверно! ";}
$chk=mysql_fetch_assoc(mysql_query("SELECT * FROM `rukzak` WHERE `uid`='$user[id]' AND `slot`='$upsl' LIMIT 1"));
if(!$chk and $errors==''){$errors.="Вещь не одета! ";}
  if($errors=='')
  {
  mysql_query("UPDATE `rukzak` SET `slot`='' WHERE `id`='$chk[id]' LIMIT 1");
  mset_msg("Снято $chk[name] ");
  header("Location: ?l=pers");exit;  
  }
echo "<div class='errh'>$errors</div>";
}

//
?>
<table align='center' class='smottb' border="0">
<tr class='none'>
<td class='none'><a class='none' title='Сканер <?=$titles[0]?>' href='?l=pers&sl=0'><img src='<?=$sl[0]?>' width='50' height='50' alt='*Сканер' /></a></td>   <!-- Сканер -->
<td class='none'><img title='аватар' src='<?=M."/img/ava/$user[ava]";?>' width='50' height='50' alt='*' /></td>                  <!-- аватар -->
<td class='none'><a class='none' title='рация<?=$titles[1]?>' href='?l=pers&sl=1'><img src='<?=$sl[1]?>' width='50' height='50' alt='*рация' /></a></td>    <!-- рация  -->
</tr>

<tr class='none'>
<td class='none'><a class='none' title='пистолет<?=$titles[2]?>' href='?l=pers&sl=2'><img src='<?=$sl[2]?>' width='50' height='50' alt='*пистолет' /></a></td>   <!-- пистолет   -->
<td class='none'><a class='none' title='броня<?=$titles[3]?>' href='?l=pers&sl=3'><img src='<?=$sl[3]?>' width='50' height='50' alt='*броня' /></a></td>      <!-- броня       -->
<td class='none'><a class='none' title='граната<?=$titles[4]?>' href='?l=pers&sl=4'><img src='<?=$sl[4]?>' width='50' height='50' alt='*' /></a></td>           <!-- граната -->
</tr>

<tr class='none'>
<td colspan='3' class='none'><a class='none' title='автомат<?=$titles[5]?>' href='?l=pers&sl=5'><img src='<?=$sl[5]?>' width='150' height='50' alt='*автомат' /></a></td><!-- автомат  -->
</tr>

<tr class='none'>
<td colspan='3' class='none'>
<a class='none' href='?l=pers&sl=6'><img class='none' title='артефакт<?=$titles[6]?>' src='<?=$sl[6]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href='?l=pers&sl=7'><img class='none' title='артефакт<?=$titles[7]?>' src='<?=$sl[7]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href='?l=pers&sl=8'><img class='none' title='артефакт<?=$titles[8]?>' src='<?=$sl[8]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href='?l=pers&sl=9'><img class='none' title='артефакт<?=$titles[9]?>' src='<?=$sl[9]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href='?l=pers&sl=10'><img class='none' title='артефакт<?=$titles[10]?>' src='<?=$sl[10]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
</td><!-- colspan='3'  -->
</tr>



</table>
<?
//
echo "<div class='c03'>";
echo "<a href='?l=pers&all'> снять все</a>";
echo "</div>";
#
echo "<div class='menu'>";
echo "<a href='".M."/index.php?l=mail'> Контакты</a>";
echo "<a href='".M."/index.php?l=setup'> Настройки</a>";
echo "<a href='".M."/index.php?l=mref'> Рефералы</a>";
echo "<a href='".M."/index.php?l=main'> Инфо</a>";
echo "<a href='".M."/index.php?l=exit'> Выход</a>";
echo "</div>";
?>